Forms

List all waste forms

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

uid__instringOptional

Filter waste forms by uid

createdstring Β· date-timeOptional

Filter waste forms by creation date

created__gtstring Β· date-timeOptional

Filter waste forms created after a certain date

created__gtestring Β· date-timeOptional

Filter waste forms created on or after a certain date

created__ltstring Β· date-timeOptional

Filter waste forms created before a certain date

created__ltestring Β· date-timeOptional

Filter waste forms created on or before a certain date

statusstring Β· enumOptional

The status of the waste shipment

Example: completedPossible values:
status__instringOptional

Filter waste forms by multiple statuses, comma separated

Example: cancelled,discontinued
Responses
get
/wam/forms/
200

Get successful

Create a waste form

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
producer_idinteger Β· nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger Β· nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger Β· nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger Β· nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger Β· nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger Β· nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring Β· nullableOptionalExample: Handle with care
sea_ship_namestring Β· nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring Β· nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring Β· nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring Β· nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring Β· date-time Β· nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring Β· uuid Β· nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring Β· uuid Β· nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring Β· uuid Β· nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring Β· uuid Β· nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring Β· uuid Β· nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
post
/wam/forms/
201

Create successful

Delete a waste form

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Responses
delete
/wam/forms/{uid}/
405

A waste form cannot be deleted, but cancelling or discontinuing it is allowed from the web app

No content

Read a waste form

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Responses
get
/wam/forms/{uid}/
200

Get successful

Update a waste form

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Body
producer_idinteger Β· nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger Β· nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger Β· nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger Β· nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger Β· nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger Β· nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring Β· nullableOptionalExample: Handle with care
sea_ship_namestring Β· nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring Β· nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring Β· nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring Β· nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring Β· date-time Β· nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring Β· uuid Β· nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring Β· uuid Β· nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring Β· uuid Β· nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring Β· uuid Β· nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring Β· uuid Β· nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
patch
/wam/forms/{uid}/
200

Update successful

Last updated

Was this helpful?